The Software ID of a particular PCI function firmware.
Sources for this description
IBM MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.2.3.51.3.1.14.8.1.9
The Software ID of a particular PCI function firmware.
Identification
{1 3 6 1 4 1 2 3 51 3 1 14 8 1 9}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
adapterFwSoftwareID OBJECT-TYPE
SYNTAX DisplayString
ACCESS read-only
STATUS mandatory
DESCRIPTION "The Software ID of a particular PCI function firmware."
::= { adapterFirmwareEntry 9 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The Software ID of a particular PCI function firmware.
IBM MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: adapterFwSoftwareID
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"adapterFwSoftwareID",
"OBJECT-TYPE",
"SYNTAX",
"DisplayString",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The Software ID of a particular PCI function firmware.\"",
"::=",
"{",
"adapterFirmwareEntry",
"9",
"}"
],
"syntax_tree": [
[
"row",
"DisplayString"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The Software ID of a particular PCI function firmware."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive. IBM support.
Module: IMM-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. IBM support.
Module: IMM-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2.3.51.3.1.14.8.1.1 | adapterFwIndex | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.1.14.8.1.2 | functionVPDProdName, adapterFwFunctionVPDProdName | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.1.14.8.1.3 | adapterFwName | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.1.14.8.1.4 | adapterFwClassification | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.1.14.8.1.5 | adapterFwDescription | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.1.14.8.1.6 | adapterFwManufacture | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.1.14.8.1.7 | adapterFwVersion | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.1.14.8.1.8 | adapterFwReleaseDate | 0 | 0 |